BEGIN TRANSACTION;
CREATE TABLE groups(id INTEGER PRIMARY KEY AUTOINCREMENT, name varchar(64), info varchar(128), pos int);
INSERT INTO "groups" VALUES(1,'Widgets','Виджеты',1);
INSERT INTO "groups" VALUES(2,'Tools','Инструменты',2);
INSERT INTO "groups" VALUES(3,'Strings','Строки',3);
INSERT INTO "groups" VALUES(4,'Arrays','Массивы',4);
INSERT INTO "groups" VALUES(5,'Network','Сеть',5);
INSERT INTO "groups" VALUES(6,'SDK','Среда',6);
INSERT INTO "groups" VALUES(7,'DataBase','Базы данных',7);
INSERT INTO "groups" VALUES(8,'Helpers','Помощники',8);
INSERT INTO "groups" VALUES(9,'','',9);
CREATE TABLE elements(id INTEGER PRIMARY KEY AUTOINCREMENT, name varchar(64), info varchar(64), tab int, pos int, hash varchar(32));
INSERT INTO "elements" VALUES(2,'hcTplForm','Шаблон формы',9,1,'');
INSERT INTO "elements" VALUES(3,'hcTplListBox','Список строк',1,11,'');
INSERT INTO "elements" VALUES(4,'hcTplButton','Кнопка',1,6,'');
INSERT INTO "elements" VALUES(10,'hcTplLabel','Нaдпиcь',1,7,'');
INSERT INTO "elements" VALUES(11,'hcTplEdit','Поле ввода',1,8,'');
INSERT INTO "elements" VALUES(12,'hcTplMemo','Поле ввода',1,9,'');
INSERT INTO "elements" VALUES(13,'hcTplSynEdit','Поле ввода',1,14,'');
INSERT INTO "elements" VALUES(15,'hcTplScrollBar','Панель прокрутки',1,13,'');
INSERT INTO "elements" VALUES(17,'hcTplComboBox','Выпадающий список',1,12,'');
INSERT INTO "elements" VALUES(20,'hcTplCheckBox','Флажок',1,10,'');
INSERT INTO "elements" VALUES(22,'hcPopupMenu','Контекстное меню',1,16,'');
INSERT INTO "elements" VALUES(23,'hcHub','Разветвитель',2,23,'');
INSERT INTO "elements" VALUES(24,'hcDoData','Поток-данные',2,24,'');
INSERT INTO "elements" VALUES(25,'hcIf_else','Условный блок',2,25,'');
INSERT INTO "elements" VALUES(26,'hcFor','Цикл со счетчиком',2,26,'');
INSERT INTO "elements" VALUES(27,'hcMath','Арифметические операции +,-,*,/,... (и т.п. по списку в OpType)',2,27,'');
INSERT INTO "elements" VALUES(28,'hcConvertor','Конвертер одной величины в другую',2,29,'');
INSERT INTO "elements" VALUES(29,'hcTimer','Таймер',2,30,'');
INSERT INTO "elements" VALUES(30,'hcRandom','Случайное число',2,31,'');
INSERT INTO "elements" VALUES(31,'hcMessage','Сообщение',2,32,'');
INSERT INTO "elements" VALUES(32,'hcBeep','Сигнал',2,33,'');
INSERT INTO "elements" VALUES(33,'hcMemory','Память',2,34,'');
INSERT INTO "elements" VALUES(34,'hcClipboard','Буфер обмена',2,35,'');
INSERT INTO "elements" VALUES(35,'hcStrCat','Соединение двух строк в одну',3,37,'');
INSERT INTO "elements" VALUES(36,'hcStrPos','Возвращает позицию вхождения одной строки в другую',3,38,'');
INSERT INTO "elements" VALUES(37,'hcStrList','Список строк',3,39,'');
INSERT INTO "elements" VALUES(38,'hcFormatStr','Форматированная строка',3,40,'');
INSERT INTO "elements" VALUES(39,'hcCopy','Копирует часть строки',3,41,'');
INSERT INTO "elements" VALUES(40,'hcArrayRead','Чтение массива',4,43,'');
INSERT INTO "elements" VALUES(41,'hcArrayEnum','Перебор массива',4,44,'');
INSERT INTO "elements" VALUES(42,'hcHTTPText','Загрузка текста',5,46,'');
INSERT INTO "elements" VALUES(43,'hcTrace','Трассировка',6,54,'');
INSERT INTO "elements" VALUES(44,'hcCommander','Вызов команд',6,55,'');
INSERT INTO "elements" VALUES(45,'hcCommanHandler','Обработчик команд',6,58,'');
INSERT INTO "elements" VALUES(46,'hcSDKEvents','События схемы',6,59,'');
INSERT INTO "elements" VALUES(47,'hcKeyHandler','Обработчик клавиатуры',6,60,'');
INSERT INTO "elements" VALUES(48,'hcMouseHandler','Обработчик мыши',6,61,'');
INSERT INTO "elements" VALUES(49,'hcRunSHA','Запуск SHA',6,56,'');
INSERT INTO "elements" VALUES(50,'hcHiAsmTrasmitter','Коммуникация со средой',6,57,'');
INSERT INTO "elements" VALUES(51,'hcSaveDialog','Сохранение файла',6,67,'');
INSERT INTO "elements" VALUES(52,'hcOpenDialog','Открытие файла',6,68,'');
INSERT INTO "elements" VALUES(53,'hcDS_SQLite','Источник данных SQLite',7,70,'');
INSERT INTO "elements" VALUES(54,'hcDSC_Exec','Запрос на выполнение',7,71,'');
INSERT INTO "elements" VALUES(55,'hcDSC_Query','Запрос данных',7,72,'');
INSERT INTO "elements" VALUES(56,'hcDSC_QueryScalar','Запрос одной ячейки',7,73,'');
INSERT INTO "elements" VALUES(57,'hcIndexToChanel','Индекс в канал',2,36,'');
INSERT INTO "elements" VALUES(58,'hcChanelToIndex','Индекс из канала',2,37,'');
INSERT INTO "elements" VALUES(59,'hcExecute','Запуск приложения',2,38,'');
INSERT INTO "elements" VALUES(60,'hcConsole','Вывод данных в консоль',2,39,'');
INSERT INTO "elements" VALUES(61,'hcTplImage','Картинка',1,17,NULL);
INSERT INTO "elements" VALUES(62,'hcMultiElement','Вложенная схема',2,40,NULL);
CREATE TABLE files(id INTEGER PRIMARY KEY AUTOINCREMENT, name varchar(128), count int);
CREATE TABLE files_link(file_id int, el_id int);
DELETE FROM sqlite_sequence;
INSERT INTO "sqlite_sequence" VALUES('groups',11);
INSERT INTO "sqlite_sequence" VALUES('elements',62);
COMMIT;
